Subject: bug#59122: 29.0.50; global-text-scale-adjust not working

From: Stephen Berman <[email-masked]>
Date: Mon, 14 Nov 2022 01:00:19 +0100

On Sun, 13 Nov 2022 23:37:23 +0100 Rudolf Adamkovič via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
>>> Works here too, but the function still increases the font size right
>>> after I execute it.
>>
>> This is the intended behavior, so no need to try to "fix" it.
>
> I see.  I apologize for the noise, then.
>
>>> In other words, to have *no change* in font size, I have do:
>>> 
>>> 1. type `M-x' and `global-text-scale-adjust' and `RET'
>>> 2. type `-'
>>> 3. type `q'
>>> 
>>> `text-scale-adjust' does this too, so I guess ... a feature?
>>
>> Yes, but why would you need to invoke the command if you don't want to
>> change the size of the font?  What kind of use case is that?
>
> Statistically, half of the time, when I invoke the command, I want to
> make the font smaller.  In that case, making the font larger first leads
> to both confusion and at least one unnecessary key press.

Invoking it like this: `M-- M-x global-text-scale-adjust' shrinks the
font size.

Steve Berman